package com.ruoyi.tuya.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tuya.mapper.BusSupplierReleaseDayMapper;
import com.ruoyi.tuya.domain.BusSupplierReleaseDay;
import com.ruoyi.tuya.service.IBusSupplierReleaseDayService;

/**
 * 平台报价单明细Service业务层处理
 *
 * @author zf
 * @date 2022-07-22
 */
@Service
public class BusSupplierReleaseDayServiceImpl implements IBusSupplierReleaseDayService
{
    @Autowired
    private BusSupplierReleaseDayMapper busSupplierReleaseDayMapper;

    /**
     * 查询平台报价单明细
     *
     * @param id 平台报价单明细主键
     * @return 平台报价单明细
     */
    @Override
    public BusSupplierReleaseDay selectBusSupplierReleaseDayById(Long id)
    {
        return busSupplierReleaseDayMapper.selectBusSupplierReleaseDayById(id);
    }

    /**
     * 查询平台报价单明细列表
     *
     * @param busSupplierReleaseDay 平台报价单明细
     * @return 平台报价单明细
     */
    @Override
    public List<BusSupplierReleaseDay> selectBusSupplierReleaseDayList(BusSupplierReleaseDay busSupplierReleaseDay)
    {
        return busSupplierReleaseDayMapper.selectBusSupplierReleaseDayList(busSupplierReleaseDay);
    }

    /**
     * 新增平台报价单明细
     *
     * @param busSupplierReleaseDay 平台报价单明细
     * @return 结果
     */
    @Override
    public int insertBusSupplierReleaseDay(BusSupplierReleaseDay busSupplierReleaseDay)
    {
        return busSupplierReleaseDayMapper.insertBusSupplierReleaseDay(busSupplierReleaseDay);
    }

    /**
     * 修改平台报价单明细
     *
     * @param busSupplierReleaseDay 平台报价单明细
     * @return 结果
     */
    @Override
    public int updateBusSupplierReleaseDay(BusSupplierReleaseDay busSupplierReleaseDay)
    {
        return busSupplierReleaseDayMapper.updateBusSupplierReleaseDay(busSupplierReleaseDay);
    }

    /**
     * 批量删除平台报价单明细
     *
     * @param ids 需要删除的平台报价单明细主键
     * @return 结果
     */
    @Override
    public int deleteBusSupplierReleaseDayByIds(Long[] ids)
    {
        return busSupplierReleaseDayMapper.deleteBusSupplierReleaseDayByIds(ids);
    }

    /**
     * 删除平台报价单明细信息
     *
     * @param id 平台报价单明细主键
     * @return 结果
     */
    @Override
    public int deleteBusSupplierReleaseDayById(Long id)
    {
        return busSupplierReleaseDayMapper.deleteBusSupplierReleaseDayById(id);
    }
}
